Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Botan::PK_Ops::KEM_Encryption Member List

This is the complete list of members for Botan::PK_Ops::KEM_Encryption, including all inherited members.

kem_encrypt(secure_vector< uint8_t > &out_encapsulated_key, secure_vector< uint8_t > &out_shared_key, size_t desired_shared_key_len, Botan::RandomNumberGenerator &rng, const uint8_t salt[], size_t salt_len)=0 | Botan::PK_Ops::KEM_Encryption | pure virtual
~KEM_Encryption()=default | Botan::PK_Ops::KEM_Encryption | virtual